Bug 23949 - [RV620] r600 crash on resolution change & OpenGL start
[RV620] r600 crash on resolution change & OpenGL start
Status: RESOLVED WONTFIX
Product: Mesa
Classification: Unclassified
Component: Drivers/DRI/R600
unspecified
Other All
: medium normal
Assigned To: Default DRI bug account
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2009-09-14 15:40 UTC by Rafał Miłecki
Modified: 2014-07-07 15:57 UTC (History)
0 users

See Also:


Attachments
Log from winedbg (21.74 KB, text/plain)
2009-09-14 15:41 UTC, Rafał Miłecki
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Rafał Miłecki 2009-09-14 15:40:37 UTC
I try to play Tony Hawk Pro Skater 2 using r600 Mesa driver (I hour old git master) and Wine of course.

When I start it (wine THawk2.exe) game changes resolution to 640x480 fullscreen and shows 2D menu. As long as I set 640x480 in game's options (2D menu) I can start game (3D) and it works fine. However when I change resolution to 800x600 or 1024x768 then starting game fails.

Menu is always 640x480, so when I start game (in 800x600 or 1024x768) it tries (OK, I guess there) both: change resolution and start OpenGL rendering. Then r600 crashes.
Comment 1 Rafał Miłecki 2009-09-14 15:41:26 UTC
Created attachment 29543 [details]
Log from winedbg
Comment 2 Andreas Boll 2012-11-02 16:16:35 UTC
Note: classic r600 driver has been abandoned.
Please use r600g (gallium driver) instead.

Is this still an issue with a newer driver/kernel?
Comment 3 Andreas Boll 2014-07-07 15:57:57 UTC
The classic r600 driver has been abandoned long ago.
It was replaced by the Gallium driver r600g.

If you have issues with r600g please file a new bug report with component Drivers/Gallium/r600

Thanks.